<template>
    <div> 
  <div class="m-control-wrapper">
    <div id="multiselect-form" class="control-section" style="height: 500px">
           <div id='content'>
            <div class="control-styles">
            <h4> Add Priviledge</h4>

            <div>
                <select multiple name="" id="">
                    <option :key="data.indexOf(item)" v-for="item in data">
                        {{ item }}
                    </option>
                </select>
            </div>
            <!-- <ejs-multiselect id='sample-list1' :dataSource='priviledgeData' :mode='defaultMode' :placeholder='waterMark'></ejs-multiselect> -->
            </div>
        </div>
        
        
        </div>
     </div>
</div>
</template>

<script>
import Vue from "vue";
import { MultiSelectPlugin } from "@syncfusion/ej2-vue-dropdowns";
import * as data from '../dataSource.json';


Vue.use(MultiSelectPlugin);
export default{
    data() {
        return{
            data: data.priviledgeData
        }
    }
};
</script>
<style>
    .m-control-wrapper {
        margin: 0 auto;
        width: 64%;
    }
</style>